<?php


namespace App\Exception\custom;

use App\Exception\BaseException;

class MarketingException extends BaseException
{
    protected $base_code = Code::MARKETING;

    const LIFE_ACCOUNT_NO_EXIST = 16;
    const RELATION_ALREADY_EXIST = 17;
    const TAKE_PLACE_NOT_EXIST = 20;
    const COLONEL_APPLY_EXIST = 23;
    const COLONEL_APPLY_FAILED = 24;
    const COLONEL_CONFIG_NULL = 25;
    const COLONEL_LEVEL_SIX = 26;
    const COLONEL_AUDIT_STATUS = 27;
    const COLONEL_AUDIT_STATUS_FAILED = 28;
    const COMMIT_ERROR = 29;
    const COLONEL_TAKE_PLACE_EXIST = 30;
    const COLONEL_TAKE_PLACE_PARAMS = 31;
    const COLONEL_TAKE_PLACE_FAILED = 32;


    protected $cus = [
        0 => '活动名称不能为空',
        1 => '活动名称不能大于50',
        2 => '活动名称不合法',
        3 => '（一级）佣金率不能为空',
        4 => '（二级）佣金率不能为空',
        5 => '创建失败',
        6 => '活动id不能为空',
        7 => '更新失败',
        8 => '开始时间不能为空',
        9 => '结束时间不能为空',
        10 => '活动时间开始不能小于等于当天日期',
        11 => '活动时间结束不能小于等于当天日期',
        12 => '勾选商品不能为空',
        13 => '商品在其他互动已勾选',
        14 => '开始时间不能大于等于结束时间',
        15 => '分润比例不能大于50%',
        self::LIFE_ACCOUNT_NO_EXIST => '生活号不存在',
        self::RELATION_ALREADY_EXIST => '该关联记录已存在',
        18 => '当前填写的拼单活动名称已经存在',
        19 => '当前活动不存在',
        self::TAKE_PLACE_NOT_EXIST => '自提点不存在',
        21 => "活动开始时间不能大于或者等于结束时间",
        22 => "自提点不能为空",
        self::COLONEL_APPLY_EXIST => '当前用户已提交团长申请',
        self::COLONEL_APPLY_FAILED => '团长申请失败',
        self::COLONEL_CONFIG_NULL => "团长分销配置内容不能为空",
        self::COLONEL_LEVEL_SIX => "档位最多设定6档",
        self::COLONEL_AUDIT_STATUS => '团长审核状态错误',
        self::COLONEL_AUDIT_STATUS_FAILED => '团长审核失败',
        self::COMMIT_ERROR => '事务commit失败',
        self::COLONEL_TAKE_PLACE_EXIST => '自提点名称已存在',
        self::COLONEL_TAKE_PLACE_PARAMS => '自提点信息不存在',
        self::COLONEL_TAKE_PLACE_FAILED => '自提点添加失败',
        33 => '分润金额+手续费不能大于售价金额',
    ];
}
